Bug 478784 - Bash-completion during yum install hangs
Bash-completion during yum install hangs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bash-completion (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-04 19:44 EST by Joseph Smidt
Modified: 2009-11-19 12:06 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 12:06:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Speed up yum install completions (428 bytes, patch)
2009-01-05 11:52 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Joseph Smidt 2009-01-04 19:44:12 EST
Description of problem:
I found this wonderful guide which helps set up a more comprehensive bash completion: http://sexysexypenguins.com/2007/10/24/pow-bash-completion-bash-auto-completion-in-fedora-using-yum-and-more/

I install the package bash-completion and tested it out typing:
# yum -y install bal[Tab]

at which point my terminal just hangs.  I not only do I not get the desired output, but I can no longer type or delete on the command line.  when I hit Ctrl-C to jump out of the hanging, I get this error: Exiting on Broken Pipe.

Version-Release number of selected component (if applicable):
bash-completion-20060301-13

How reproducible:
Install the package bash-completion.  Type: # yum -y install bal[Tab] and your terminal will hang.  Type Ctrl-C and get the broken socket error.


Steps to Reproduce:
1. Install the package bash-completion.
2. Type: # yum -y install bal[Tab] and your terminal will hang.
3. Type Ctrl-C and get the broken socket error.
  
Actual results:


Expected results:
I expected to see this: ballbuster.i386  ballz.i386 balsa.i386

Additional info:

bash-completion seem to work great for all other commands I have tried, man, git, etc...
Comment 1 Ville Skyttä 2009-01-05 11:52:24 EST
Created attachment 328213 [details]
Speed up yum install completions

It doesn't hang for me, but it sure is slow.  This is primarily because bash_completion invokes "yum -C list" to get the completions, and that just takes a long time.  To watch what bash_completion is doing, do "set -x" in the bash shell, then try the completion in that same shell (and watch "top" in another if interested).

However, the attached patch speeds up most "yum install" (and deplist) cases quite a bit for me, could you try it out?  The case to which this has much less significant effect is "yum install [tab]", i.e. without typing anything from the package name, but I don't think there's much that can be done about that in bash_completion.

Note that after applying the patch you'll need to open a new shell to get the patched bash_completion loaded (and possibly source it), verify with "set -x" that it instead of "yum -C list" it invokes something starting with "yum -qC list available".
Comment 2 Bug Zapper 2009-11-18 05:39:23 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ville Skyttä 2009-11-19 12:06:17 EST
Should be fixed in 1.0-2 some time ago.

Note You need to log in before you can comment on or make changes to this bug.